Repository: qpid-proton
Updated Branches:
  refs/heads/master 28bbd8bc6 -> 3836eebe9


added a script for setting the version of the tree


Project: http://git-wip-us.apache.org/repos/asf/qpid-proton/repo
Commit: http://git-wip-us.apache.org/repos/asf/qpid-proton/commit/3836eebe
Tree: http://git-wip-us.apache.org/repos/asf/qpid-proton/tree/3836eebe
Diff: http://git-wip-us.apache.org/repos/asf/qpid-proton/diff/3836eebe

Branch: refs/heads/master
Commit: 3836eebe978d967f2bd45a2e26d113d9d60b7b94
Parents: 28bbd8b
Author: Rafael Schloming <[email protected]>
Authored: Thu Dec 18 14:05:55 2014 -0500
Committer: Rafael Schloming <[email protected]>
Committed: Thu Dec 18 14:14:08 2014 -0500

----------------------------------------------------------------------
 bin/version.sh | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/qpid-proton/blob/3836eebe/bin/version.sh
----------------------------------------------------------------------
diff --git a/bin/version.sh b/bin/version.sh
new file mode 100755
index 0000000..2acfe00
--- /dev/null
+++ b/bin/version.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+# version.sh - Sets the version of the proton source tree to the given
+#              value.
+
+ME=$(basename ${0})
+usage()
+{
+    echo "Usage: ${ME} [SRC] VERSION"
+    exit 1
+}
+
+if [ $# == 2 ]; then
+    SRC=$1
+    VERSION=$2
+elif [ $# == 1 ]; then
+    SRC=$(dirname $(dirname $(readlink -f $0)))
+    VERSION=$1
+else
+    usage
+fi
+
+echo ${VERSION} > ${SRC}/version.txt
+mvn org.codehaus.mojo:versions-maven-plugin:1.2:set 
org.codehaus.mojo:versions-maven-plugin:1.2:commit -DnewVersion="${VERSION}" -f 
${SRC}/pom.xml


---------------------------------------------------------------------
To unsubscribe, e-mail: [email protected]
For additional commands, e-mail: [email protected]

Reply via email to